import { ListingGrid } from '@components/common/ListingGrid';
import {
    Enums_Currency_Enum,
    Order_By,
    useCreateListingMutation,
    useGetListingsQuery,
} from 'gql/generated/react';
import React, { FC } from 'react';
import { Container, Grid, PrimaryButton } from 'ui';
import { Base } from '../../layouts/Base';
import { useSessionContext } from 'supertokens-auth-react/recipe/session';

export interface HomeProps {}
export type HomeType = FC<HomeProps>;

export const Home: HomeType = () => {
    const { data } = useGetListingsQuery({
        variables: {
            limit: 50,
            offset: 0,
            order_by: {
                id: Order_By.Desc,
            },
        },
    });

    const { userId } = useSessionContext();

    const [createListingMutation] = useCreateListingMutation({
        variables: {
            input: {
                title: 'fff',
                price: 15,
                creator_id: userId,
                currency: Enums_Currency_Enum.Czk,
            },
        },
    });

    return (
        <Base>
            <ListingGrid listings={data?.app_listings} />
            {/* <PrimaryButton onClick={() => alert('REEE')}>Reeeeee</PrimaryButton> */}
        </Base>
    );
};
