import React from 'react';
import AdbIcon from '@mui/icons-material/Adb';
import Typography from '@mui/material/Typography';
import { Link, styled } from '@mui/material';

const StyledTypography = styled(Typography)`
    ::before {
        content: '🔥';
    }
    margin-right: 2px;
    display: flex;
    font-family: monospace;
    font-weight: 700;
    letter-spacing: 0.3rem;
    color: inherit;
    text-decoration: none;
`;

export const Logo = () => {
    return (
        <Link href="/" sx={{ color: 'inherit', textDecoration: 'none' }}>
            <StyledTypography variant="h6" noWrap>
                DUMPSTER FIRE
            </StyledTypography>
        </Link>
    );
};

const FooterTypography = styled(StyledTypography)`
    filter: grayscale(1);
    font-size: 0.75rem;
`;

// TODO: refactor this sh*t pls, parametrize Typography usage
export const FooterLogo = () => {
    return (
        <Link href="/" sx={{ color: 'inherit', textDecoration: 'none' }}>
            <FooterTypography variant="h6" noWrap>
                DUMPSTER FIRE
            </FooterTypography>
        </Link>
    );
};
